Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Interface WebAuthnJDBCReadAllAccelerator

All Superinterfaces:
  `WebAuthnJDBCAccelerator`

All Known Implementing Classes:
  `WebAuthnJDBCAcceleratorImpl`

public interface WebAuthnJDBCReadAllAccelerator extends WebAuthnJDBCAccelerator
An accelerator for JDBC queries to improve the performance of lookup operations that read all records at once.

Since:
  1.3.0

## Method Summary

Modifier and Type
Method
Description
`<T> List<StorageRecord<T>>`
`readAll(String context)`
Read all credential records in a single query from a given context.

## Method Details

### readAll

@Nonnull @NonnullElements <T> List<StorageRecord<T>> readAll(@Nonnull @NotEmpty String context) throws IOException
Read all credential records in a single query from a given context.

Type Parameters:
  `T` - the storage record record type
Parameters:
  `context` - a storage context label
Returns:
  all found credential records.
Throws:
  `IOException` - on error